bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#19423: 25.0.50; incompatible change to `make-obsolete' - added 3rd a


From: Drew Adams
Subject: bug#19423: 25.0.50; incompatible change to `make-obsolete' - added 3rd arg should be optional
Date: Sun, 21 Dec 2014 09:14:28 -0800 (PST)

This change, made long ago unfortunately, is incompatible.  Previous to
the change, `make-obsolete' accepted only 2 args.  It should still be
possible to use the function with only 2 args, as well as with 3.

This was presumably a careless oversight, and not intended as part of
the change to adding parameter WHEN.  The doc string in fact indicates
that this was not intended:

  If provided, WHEN should be a string indicating when the function
  ^^^^^^^^^^^
  was first made obsolete, for example a date or a release number.


In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2014-10-20 on LEG570
Bzr revision: 118168 address@hidden
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking=yes,glyphs CPPFLAGS=-DGLYPH_DEBUG=1'





reply via email to

[Prev in Thread] Current Thread [Next in Thread]